VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Appliance::Recovery::Restore::Job::LocationType Class Reference
Inheritance diagram for Com::Vmware::Appliance::Recovery::Restore::Job::LocationType:

## Avaliable Methods
public method | new ()

## Detailed Description

`Com::Vmware::Appliance::Recovery::Restore::Job::LocationType` enumerated type Defines type of all locations for backup/restore Constant Com::Vmware::Appliance::Recovery::Restore::Job::LocationType::FTPS # Destination is FTPS server Constant Com::Vmware::Appliance::Recovery::Restore::Job::LocationType::HTTP # Destination is HTTP server Constant Com::Vmware::Appliance::Recovery::Restore::Job::LocationType::SCP # Destination is SSH server Constant Com::Vmware::Appliance::Recovery::Restore::Job::LocationType::HTTPS # Destination is HTTPS server Constant Com::Vmware::Appliance::Recovery::Restore::Job::LocationType::FTP # Destination is FTP server

## Member Function Documentation

public method Com::Vmware::Appliance::Recovery::Restore::Job::LocationType::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Appliance::Recovery::Restore::Job::LocationType enumeration.

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 12
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $self = $class->SUPER::new();
my $bindingType = new Com::Vmware::Vapi::Bindings::Type::EnumType(
'name' => 'com.vmware.appliance.recovery.restore.job.location_type',
'binding_class' => 'Com::Vmware::Appliance::Recovery::Restore::Job::LocationType');
$class->SUPER::set_binding_type('binding_type' => $bindingType);
bless $self, $class;
return $self;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Appliance/Recovery/Restore/Job.pm